Bug 205696 - API Review for Move Members Refactoring
API Review for Move Members Refactoring
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Refactoring
7.2
All All
: P2 (vote)
: 7.2
Assigned To: Ralph Ruijs
issues@java
: API, API_REVIEW_FAST
Depends on:
Blocks: 204441 204442
  Show dependency treegraph
 
Reported: 2011-11-30 09:14 UTC by Ralph Ruijs
Modified: 2012-02-17 12:14 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed patch (11.35 KB, patch)
2011-11-30 09:16 UTC, Ralph Ruijs
Details | Diff
Proposed patch (9.66 KB, patch)
2011-12-05 09:28 UTC, Ralph Ruijs
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Ruijs 2011-11-30 09:14:30 UTC
A new API is needed to support the new Move Members Refactoring.

Please review the attached patch.
Comment 1 Ralph Ruijs 2011-11-30 09:16:58 UTC
Created attachment 113651 [details]
Proposed patch
Comment 2 Jan Becicka 2011-11-30 14:18:37 UTC
MoveRefactoring should stay final. We don't want API clients to subclass it and let them change behavior.

Moreover we don't want existing "move" plugins to participate on this new functionality, since it will probably not work.

The only functionality of MoveRefactoring you need is set/get target. I suggest to create a new final API class  MoveMembersRefactoring in refactoring.java module.
Comment 3 Ralph Ruijs 2011-12-05 09:28:01 UTC
Created attachment 113811 [details]
Proposed patch

I changed the patch to the same situation we have in JavaRename.
Comment 4 Jan Becicka 2011-12-05 10:11:05 UTC
please attach complete API change. I don't know what do you mean by "JavaRename"
Comment 5 Ralph Ruijs 2011-12-05 10:16:18 UTC
(In reply to comment #4)
> please attach complete API change. I don't know what do you mean by
> "JavaRename"

The attached patch is the complete API change.

I was referring to the usage of org.netbeans.modules.refactoring.java.ui.JavaRenameProperties.
Comment 6 Jan Becicka 2011-12-05 10:27:41 UTC
I see! Now I understand. The patch looks good.
Comment 7 Jaroslav Tulach 2011-12-06 06:35:34 UTC
Unrelated, but Y01: Fix broken links in your API. I am sure "{@link org.openide.filsuystems.FileObject}" leads nowhere.
Comment 8 Ralph Ruijs 2011-12-06 09:07:58 UTC
(In reply to comment #7)
> Unrelated, but Y01: Fix broken links in your API. I am sure "{@link
> org.openide.filsuystems.FileObject}" leads nowhere.

Y01: Thanks! Fixed in jet-main 872ee1c00ba4 & 3df75cdbdfe2
Comment 9 Ralph Ruijs 2011-12-07 13:21:57 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/eeef4c477645
Comment 10 Quality Engineering 2011-12-08 12:10:53 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/eeef4c477645
User: Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Log: Issue #205696 - API Review for Move Members Refactoring
Comment 11 Jesse Glick 2012-02-16 18:17:44 UTC
The date recorded in apichanges is Nov 30 '11, which is obviously wrong.
Comment 12 Ralph Ruijs 2012-02-17 12:14:00 UTC
(In reply to comment #11)
> The date recorded in apichanges is Nov 30 '11, which is obviously wrong.

Thanks, I forgot to change the date when committing the change.
http://hg.netbeans.org/jet-main/rev/85116f41dc33


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo